# Gets all of the job posting types in the system. This method will scan all job posting types and and return them to the caller. Endpoint: GET /jobPostingTypes/{tenantId} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned. - `exclusiveStartKey` (string) The start key, if you're making a subsequent request ## Response 200 fields (application/json): - `id` (string, required) The unique, string identifier of this job posting type - `is_active` (boolean) Whether or not this job posting type is active - `name` (string, required) The name of the job posting type - `process_id` (string) The process by which jobs of this type are posted - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_version` (number) A number representing the version of this record in the database ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 429 fields ## Response 500 fields